﻿@{
    Layout = null;
}
<div ng-if="!(element.Type == 'JbParagraph' || element.Type =='JbTextEditor')">
    <div ng-if="!(section.Name == 'ParticipantSection' && ( element.Name == 'FirstName' || element.Name == 'LastName' ))">
        <div class="input-control checkbox nbm" data-role="input-control">
            <label>
                <input name="IsRequired" type="checkbox" ng-model="element.IsRequired" ng-change="JbElement.Operate.IsRequired(element)" />
                <span class="check"></span>
                Is required?
            </label>
        </div>
    </div>
   
    <div ng-hide="element.Type=='JbAddress' || element.Type=='USCFInfo' || element.Type=='JbCheckBox' || element.Type=='JbRadioList'">
        <label>Width</label>
        <div class="input-control radio default-style">
            <label>
                <input type="radio" value="Third" ng-model="element.Width" name="size-element" />
                <span class="check"></span>
                Third
            </label>
        </div>
        <div class="input-control radio default-style">
            <label>
                <input type="radio" value="Half" ng-model="element.Width" name="size-element" />
                <span class="check"></span>
                Half
            </label>
        </div>
        <div class="input-control radio default-style">
            <label>
                <input type="radio" value="Full" ng-model="element.Width" name="size-element" />
                <span class="check"></span>
                Full
            </label>
        </div>

    </div>
    <label>Help text</label>
    <div class="input-control text" data-role="input-control">
        <input name="HelpText" ng-model="element.HelpText" type="text" />
    </div>
    
  
    <div ng-if="!(section.Name == 'ParticipantSection' && ( element.Name == 'FirstName' || element.Name == 'LastName'  ))">
        <label>Visibility Mode</label>
        <div class="input-control select" data-role="input-control">
            <select name="VisibleMode" ng-model="element.VisibleMode">
                <option value="Online">Online</option>
                <option value="Offline">Offline</option>
                <option value="Both">Both</option>
            </select>
        </div>
    </div>
</div>
<button type="submit" class="default place-right button">Save</button>
<button type="button" ng-click="JbElement.Operate.Edit.CancelActiveElement(section,elementIndex)" class="link place-right button on-left-more">Cancel</button>
<div class="clearfix"></div>